Confirm HMRC Authorisation Held

POST /tenants/{tenant}/clients/{client}/agent-authorisations/hmrc-confirm-held/{authorisationType}

Marks a letter-based request as granted when the authorisation is already in place at HMRC without the code having come through SodiumHQ (for example, entered on HMRC Online Services). Only a request awaiting a posted code can be confirmed.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

client* path string
authorisationType* path enum

SelfAssessment CorporationTax PayeForEmployers IndividualPayAsYouEarn VAT ConstructionIndustryScheme TaxCredits HighIncomeChildBenefitCharge MakingTaxDigitalIncomeTax MakingTaxDigitalVat Trusts

SelfAssessment CorporationTax PayeForEmployers IndividualPayAsYouEarn VAT ConstructionIndustryScheme TaxCredits HighIncomeChildBenefitCharge MakingTaxDigitalIncomeTax MakingTaxDigitalVat Trusts

Responses

204 No Content
400 Bad Request
401 Unauthorized – Invalid or missing API key
404 Not Found

Try it